/**
 * Dropdown item for header
 * @class ApHeaderDropdownItem
 */
'use strict'

import React, {PropTypes as types} from 'react'
import classnames from 'classnames'
import {ApDropdownItem} from 'apeman-react-dropdown'

/** @lends ApHeaderDropdownItem */
const ApHeaderDropdownItem = React.createClass({

  // --------------------
  // Specs
  // --------------------

  statics: {
    /**
     * Create
     * @param {string} label - Label oth the item.
     * @param {function}  onTap - Handle for on tap
     * @param {object} props - Property values.
     * @returns {object} - ApHeaderTabItem element.
     */
    createItem (label, onTap, props) {
      return (
        <ApHeaderDropdownItem { ...props }
          onTap={ onTap }
        >
          { label }
        </ApHeaderDropdownItem>
      )
    }
  },

  render () {
    const s = this
    let { props } = s
    return (
      <ApDropdownItem { ...props }
        className={ classnames('ap-header-dropdown-item', props.className) }
      >
        { props.children }
      </ApDropdownItem>
    )
  }
})

export default ApHeaderDropdownItem
